#
# spec file for package icecast (Version 2.3.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  curl curl-devel libogg libogg-devel libtheora libtheora-devel libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel speex speex-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl curl-devel gcc gdbm gettext libogg libogg-devel libtheora libtheora-devel libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel perl rpm speex speex-devel

Name:         icecast
Summary:      MP3 Streaming Server
Version:      2.3.0
Release:      1.1
Group:        Productivity/Networking/Web/Servers
Autoreqprov:  on
License:      GPL
Url:          http://www.icecast.org/
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Icecast is a MP3 Streaming Server able to serve many clients with MP3
audio.



Authors:
--------
    Jack Moffitt <jack@icecast.org>
    Barath Raghavan <barath@linuxpower.org>
    Alexander Havng <eel@musiknet.se>

%prep
%setup
%{?suse_update_config:%{suse_update_config -f}}

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --sysconfdir=/etc
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc doc/*.html
%doc doc/*.jpg
%doc doc/*.css
%config(noreplace) /etc/%{name}.xml
%{_bindir}/icecast
%{_datadir}/icecast

%changelog -n icecast
* Sat Oct 15 2005 - max@suse.de
- Added support for ogg/speex streams.
* Fri Oct 07 2005 - stark@suse.de
- update to version 2.3.0
* Tue Jun 14 2005 - tiwai@suse.de
- repackaged - initial version: 2.2.0.
